/*******************************************************************************
 * Copyright (c) 2000, 2021 IBM Corporation and others.
 *
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.jdt.internal.compiler.parser;

/*An interface that contains static declarations for some basic information
 about the parser such as the number of rules in the grammar, the starting state, etc...*/
public interface ParserBasicInformation {
    public final static int
	// BEGIN_AUTOGENERATED_REGION

					ERROR_SYMBOL = 155,
					MAX_NAME_LENGTH = 41,
					NUM_STATES = 1497,

					NT_OFFSET = 155,
					SCOPE_UBOUND = 400,
					SCOPE_SIZE = 401,
					LA_STATE_OFFSET = 21028,
					MAX_LA = 1,
					NUM_RULES = 1108,
					NUM_TERMINALS = 155,
					NUM_NON_TERMINALS = 503,
					NUM_SYMBOLS = 658,
					START_STATE = 1519,
					EOFT_SYMBOL = 39,
					EOLT_SYMBOL = 39,
					ACCEPT_ACTION = 21027,
					ERROR_ACTION = 21028;
}
